ManageUsersServiceImpl (Register VRE Users 2.2.1-4.5.0-142641 API)
Date: 2017-06-10

org.gcube.portlets.admin.manageusers.server

## Class ManageUsersServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.manageusers.server.ManageUsersServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ManageUsersService

      public class ManageUsersServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements ManageUsersService

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_COMPANY_WEB_ID`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageUsersServiceImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayList<PortalUserDTO>` | `getAvailableUsers()`
    `static String` | `getDefaultCompanyWebId()`
    `ArrayList<PortalUserDTO>` | `getNonBelongingUsersForVRE()` Retrieves all the users that are registered to portal but are not registered to the current VO
    `boolean` | `registerUsers(List<PortalUserDTO> users2Register)` register the user to the VRE and in the HL Group, plus send notifications to the users it is needed to issue a fake membership request otherwise if the user is loggedIn it is not able to access the VRE unless she logout and login

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_COMPANY_WEB_ID

          public static final String DEFAULT_COMPANY_WEB_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManageUsersServiceImpl

          public ManageUsersServiceImpl()

  - ### Method Detail

    - #### getAvailableUsers

          public ArrayList<PortalUserDTO> getAvailableUsers()

      Specified by:
        `getAvailableUsers` in interface `ManageUsersService`

    - #### getNonBelongingUsersForVRE

          public ArrayList<PortalUserDTO> getNonBelongingUsersForVRE()

      Retrieves all the users that are registered to portal but are not registered to the current VO
      Returns:
        A list with the username of the unregistered users

    - #### registerUsers

          public boolean registerUsers(List<PortalUserDTO> users2Register)

      register the user to the VRE and in the HL Group, plus send notifications to the users it is needed to issue a fake membership request otherwise if the user is loggedIn it is not able to access the VRE unless she logout and login
      Specified by:
        `registerUsers` in interface `ManageUsersService`

    - #### getDefaultCompanyWebId

          public static String getDefaultCompanyWebId()

      Returns:
        the default company web-id (e.g. iMarine.eu)

Copyright © 2017. All Rights Reserved.